package com.hzya.frame.sys.app.dao.impl;
import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.sys.app.dao.ISysAppMapper;
import com.hzya.frame.sys.app.entity.SysApp;
import com.hzya.frame.web.exception.BaseSystemException;
import org.apache.ibatis.session.SqlSession;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @description: 应用表  dao
 * @tableName: sys_app
 * @entityName: SysApp
 * @author: llg
 * @history:1.0
 */
@Service
public class SysAppMapperImpl extends MybatisGenericDao<SysApp,String > implements ISysAppMapper {

    @Override
    public SysApp entity_get(String id) {

            SysApp o = (SysApp) super.selectOne(getSqlIdPrifx() + "entity_get", id);
            return o;

    }

    @Override
    public List<SysApp> entity_list_base(SysApp entity) {

            List<SysApp> o = super.query(getSqlIdPrifx() + "entity_list_base", entity);
            return o;
    }

    @Override
    public Integer entity_list_base_count(SysApp entity) {

            Integer o = (Integer) super.selectOne(getSqlIdPrifx() + "entity_list_base_count", entity);
            return o;

    }

    @Override
    public List<SysApp> entity_list_like(SysApp entity) {

            List<SysApp> o = super.query(getSqlIdPrifx() + "entity_list_like", entity);
            return o;

    }

    @Override
    public List<SysApp> entity_list_like_page(SysApp entity) {

            List<SysApp> o = super.query(getSqlIdPrifx() + "entity_list_like_page", entity);
            return o;

    }

    @Override
    public List<SysApp> entity_list_or(SysApp entity) {

            List<SysApp> o = super.query(getSqlIdPrifx() + "entity_list_or", entity);
            return o;

    }

    @Override
    public Integer entity_insert(SysApp entity) {

            Integer o = super.insert(getSqlIdPrifx() + "entity_insert", entity);
            return o;

    }

    @Override
    public Integer entity_update(SysApp entity) {

            Integer o = super.update(getSqlIdPrifx() + "entity_update", entity);
            return o;

    }

    @Override
    public Integer entity_delete(SysApp entity) {

            Integer o = super.delete(getSqlIdPrifx() + "entity_delete", entity);
            return o;

    }

    @Override
    public Integer logicDelete_Multi_Condition(SysApp entity) {

            Integer o = super.delete(getSqlIdPrifx() + "logicDelete_Multi_Condition", entity);
            return o;

    }
}
